/****index.css**********/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    /* Varables para redimensionar elementos y tamaño de letra segun pixeles y relacion alto/ancho de la ventana*/
    --Coef_pant: 1;
    --Rel_pant: 1.5;
    --Alt_cab: calc(45px * var(--Coef_pant)* var(--Rel_pant));
    --Alt_pie: calc(55px * var(--Coef_pant)* var(--Rel_pant));
    --Alt_cen: calc(100vh - 2px - var(--Alt_cab) - var(--Alt_pie));
}

html {
    overflow: hidden;
    font-family: Arial, sans-serif;
    font-size: calc(10px * var(--Coef_pant));
}

html h1 {
    font-size: 1.5rem;
    line-height: 1.4rem;
    margin-top: 3rem;
    margin-bottom: 3rem;
    text-align: center;
}

html h2 {
    margin-top: 0.2rem;
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
}

html h3 {
    margin-top: 1.25rem;
    font-size: 1rem;
}

html p {
    font-size: 1rem;
    line-height: 1.5rem;
    word-break: normal;
    margin-top: 0rem;
    margin-bottom: .5rem;
    text-align: justify;
    letter-spacing: normal
}


/* Comun a Encabezado y pie *************************/
header,
footer {
    background-color: rgb(23, 24, 25);
    color: white;
    user-select: none;
}

header span,
footer span {
    color: white;
    text-decoration: none;
    font-size: 1rem;
    cursor: pointer;
}
header span:hover:not(.active),
footer span:hover:not(.active) {
    color: blue;
    text-decoration: underline;
}
header span.active,
footer span.active {
    color: lime;
    text-decoration: underline;
}
header .logo-cabecera img {
    height: var(--Alt_cab);
    width: auto;
}
header .logo-cabecera:hover:not(.active) .logo-img {
    content: url('recursos/logo_azul.png');
}
header .logo-cabecera:active .logo-img {
    content: url('recursos/logo_verde.png');
}


/* Encabezado ***************************************/
header {
    z-index: 20;
    top: 0;
    left: 0;
    position: fixed;
    height: var(--Alt_cab);
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    font-weight: bold;
    font-size: 1.1rem;
}


/* Menú del encabezado ----------------------------------------------------------**/
header .opciones-menu-hamburguesa {
    display: flex;
    list-style: none;
    margin: 0;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: flex-end;
    gap: 18px;
    white-space: nowrap;
}

header #menu-hamburguesa {
    display: none;
    font-size: 2.5rem;
    cursor: pointer;
    background: none;
    border: none;
    color: white;
}

/* Estilos para el menú desplegable */
@media (max-width: 50rem) {
    header .opciones-menu-hamburguesa {
        display: none;
        flex-direction: column;
        background-color: rgb(41, 42, 43);
        position: absolute;
        top: var(--Alt_cab);
        right: 2px;
        width: 100%;
        max-width: 12rem;
        border: 1px solid white;
        box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);
        padding-top: 1rem;
        padding-bottom: 1rem;
        border-radius: 8px;
    }
    header .opciones-menu-hamburguesa.active {
        display: flex;
    }
    header .opciones-menu-hamburguesa a {
        border-bottom: 0px solid darkgray;
        text-align: center;
    }
    header #menu-hamburguesa {
        /* Muestra el botón del menú hamburguesa en vista móvil */
        display: block;
    }
    header #menu-hamburguesa:hover {
        color: blue;
    }
}

/* Pie de Página ***********************************/
/* Pie de Página ***********************************/
footer {
    z-index: 10;
    width: 100%;
    height: var(--Alt_pie);
    position: fixed;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    font-size: 1rem;
    overflow: hidden;
    color: white;
}

.pie-de-pagina {
    width: 100%;
    max-width: 100%;
    height: var(--Alt_pie);
    display: flex;
    flex-direction: column;
    position: fixed;
    bottom: 0;
    padding-top: .4rem;
}

.f-pie {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    flex: 1;
}

.c-pie {
    flex: 1;
    text-align: center;
    padding: 0 0.5rem;
}

.f-pie:nth-child(3) {
    font-size: 0.7rem;
    color: darkgrey;
    white-space: nowrap;
}

.f-pie:nth-child(3) .c-pie:nth-of-type(1) {
    text-align: left;
}

.f-pie:nth-child(3) .c-pie:nth-of-type(2) {
    text-align: center;
}

.f-pie:nth-child(3) .c-pie:nth-of-type(3) {
    text-align: right;
}

.c-pie:nth-of-type(1) {
    flex: 0 0 35%;
}

.c-pie:nth-of-type(2) {
    flex: 0 0 30%;
}

.c-pie:nth-of-type(3) {
    flex: 0 0 35%;
}



/****************************************************************************/
/******************* Estilos para el Bloque Central *************************/
/****************************************************************************/

main {
    position: relative;
    margin: 0;
    padding: 0;
}

div.fondo-baja {
    position: absolute;
    top: calc(1px + var(--Alt_cab));
    left: 0;
    height: 100%;
    width: 100%;
    background-image: url('recursos/zitrickaviar_1b.jpeg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 1;
    z-index: -2;
}

div.fondo-alta {
    position: absolute;
    top: calc(1px + var(--Alt_cab));
    left: 0;
    height: 100%;
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0;
    transition: opacity 2s ease-in-out;
    z-index: -1;
}

#bloque-central {
    position: relative;
    top: calc(1px + var(--Alt_cab));
    box-sizing: border-box;
    height: var(--Alt_cen);
    margin-bottom: calc(1px +var(--Alt_pie));
    left: 0;
    width: 100%;
    overflow: auto;
    user-select: none;
    z-index: 3;
}

#bloque-central div.contenedor {

    /*   max-width: 100%;
    width: 100%;*/
    min-height: var(--Alt_cen);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: justify;
}

.pag_completa {
    width: 90%;
    margin: 5%;
    height: 90%;
    padding: 2.5rem;
    background-color: hwb(100 25% 50% / 0.3);
    box-shadow:
        inset 0 0 1rem hwb(100 25% 25% / 0.6),
        inset 0 0 0.1rem hwb(100 90% 0% / 0.9),
        0 0 0.2rem hwb(100 0% 90% / 0.9),
        0 0 2rem hwb(100 50% 50% / 0.6);
    border-radius: 0.2rem;
    color: white;
    text-shadow:
        .1rem .1rem .1rem hwb(0 0% 75% / .3),
        .1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem .1rem .1rem hwb(0 0% 75% / .3);
}

.pag_folio {
    width: 80%;
    margin: 10%;
    margin-top: 12%;
    justify-content: flex-end;
    background-color: hwb(200 100% 0% / 0.8);
    box-shadow:
        0 0 2rem hwb(100 0% 70% / 0.25),
        0 0 1rem hwb(100 0% 80% / 0.5),
        0 0 0.5rem hwb(100 0% 90% / 0.75),
        0 0 0.1rem hwb(100 0% 100% / 1);
    text-shadow: none;
    border-radius: 1px;
    padding: 6%;
    font-family: "Times New Roman", Times, serif;
    text-align: left;
}

.pag_logo {
    text-align: center;
    color: white;
}

.pag_logo h1 {
    opacity: 0.75;
}

.estilo_logo {
    max-width: 90%;
    max-height: 90%;
    opacity: 0.75;
}


.pag_pesticidas {
    margin: 5%;
    max-width: 34rem;
    padding: 1.5rem;
    font-weight: bolder;
    background-color: hwb(10 50% 50% / 0.1);
    box-shadow:
        inset 0 0 2rem hwb(10 50% 50% / 0.8),
        inset 0 0 0.5rem hwb(10 50% 50% / 1),
        0 0 0.1rem hwb(10 0% 0% / 1),
        0 0 2rem hwb(10 0% 0% / .6),
        0 0 50rem hwb(10 0% 0% / .6);
    border-radius: 5px;
    color: hwb(300 100% 0% / 1);
    text-shadow:
        .1rem .1rem .1rem hwb(0 0% 75% / .3),
        .1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem .1rem .1rem hwb(0 0% 75% / .3);
}

.pag_poscosecha {
    margin: 5%;
    max-width: 34rem;
    padding: 1.5rem;
    font-weight: bolder;
    background-color: hwb(20 50% 50% / 0.1);
    box-shadow:
        inset 0 0 2rem hwb(20 50% 50% / 0.8),
        inset 0 0 0.5rem hwb(20 50% 50% / 1),
        0 0 0.1rem hwb(20 0% 0% / 1),
        0 0 2rem hwb(20 0% 0% / .6),
        0 0 50rem hwb(20 0% 0% / .6);
    border-radius: 5px;
    color: hwb(50 100% 0% / 1);
    text-shadow:
        .1rem .1rem .1rem hwb(0 0% 75% / .3),
        .1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem .1rem .1rem hwb(0 0% 75% / .3);
}

.pag_intermediarios {
    margin: 5%;
    max-width: 34rem;
    padding: 1.5rem;
    font-weight: bolder;
    background-color: hwb(40 50% 50% / 0.1);
    box-shadow:
        inset 0 0 2rem hwb(40 50% 50% / 0.8),
        inset 0 0 0.5rem hwb(40 50% 50% / 1),
        0 0 0.1rem hwb(40 0% 0% / 1),
        0 0 2rem hwb(40 0% 0% / .6),
        0 0 50rem hwb(40 0% 0% / .6);
    border-radius: 5px;
    color: hwb(50 100% 0% / 1);
    text-shadow:
        .1rem .1rem .1rem hwb(0 0% 75% / .3),
        .1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem .1rem .1rem hwb(0 0% 75% / .3);
}


.pag_mucho_mas {
    margin: 5%;
    max-width: 25rem;
    padding: 1.5rem;
    font-weight: bolder;

    background-color: hwb(120 50% 50% / 0.1);
    box-shadow:
        inset 0 0 2rem hwb(120 50% 50% / 0.6),
        inset 0 0 0.2rem hwb(120 50% 50% / 0.9),
        0 0 0.1rem hwb(120 0% 0% / 0.9),
        0 0 .5rem hwb(120 5% 5% / 0.5),
        0 0 5rem hwb(120 10% 10% / 0.2);
    border-radius: 5px;
    color: hwb(120 100% 0% / 1);
    text-shadow:
        .1rem .1rem .1rem hwb(120 0% 75% / .3),
        .1rem -.1rem .1rem hwb(120 0% 75% / .3),
        -.1rem -.1rem .1rem hwb(120 0% 75% / .3),
        -.1rem .1rem .1rem hwb(120 0% 75% / .3);
}

.pag_contacto {
    margin: 2%;
    max-width: 30rem;
    /*   height: 19rem;*/
    background-color: hwb(100 50% 0% / .2);
    box-shadow:
        inset 0 0 2rem hwb(100 90% 10% / 0.5),
        inset 0 0 0.2rem hwb(100 90% 10% / .8),
        0 0 0.2rem hwb(100 10% 90% / .8),
        0 0 2rem hwb(100 10% 90% / 0.5);
    border-radius: 3px;
    color: white;
    text-shadow:
        .1rem .1rem .1rem hwb(0 0% 75% / .3),
        .1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem .1rem .1rem hwb(0 0% 75% / .3);
    padding: 1.5rem;
    line-height: 2rem;
}

.pag_contacto h1 {
    font-size: 1.8rem;
    line-height: 1.2rem;
    margin-top: 1.6rem;
    margin-bottom: 1.6rem;
    text-align: center;
}

.pag_contacto a {
    color: white;
}

.pag_contacto a:hover {
    color: blue;
}

/****************************************************************************/
/************* Estilos para prodductos en el Bloque Central  ****************/
/****************************************************************************/
.pag_productos {
    margin: 1%;
    height: 25rem;
    max-width: 46rem;
    min-width: 38rem;
    padding: 1rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    overflow: hidden;

    background-color: hwb(100 20% 20% / 0.2);
    box-shadow:
        inset 0 0 2rem hwb(100 90% 80% / 0.5),
        inset 0 0 0.2rem hwb(100 90% 60% / .8),
        0 0 0.2rem hwb(100 10% 90% / .8),
        0 0 2rem hwb(100 10% 90% / 0.5);
    border-radius: 5px;
    color: white;
    text-shadow:
        .1rem .1rem .1rem hwb(0 0% 75% / .3),
        .1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem -.1rem .1rem hwb(0 0% 75% / .3),
        -.1rem .1rem .1rem hwb(0 0% 75% / .3);
}

.pag_productos .column {
    height: var(--Alt_cen);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    padding: 0.5rem;
    box-sizing: border-box;
    user-select: none;
}

.pag_productos .fotos {
    width: 32%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 0.1rem;
}

/* Contenedor de la imagen ampliada y el sello */
.pag_productos .image-container {
    position: relative; /* Permite superposición de la imagen */
    width: 100%; /* Ocupa todo el ancho */
    margin-bottom: 0; /* Sin margen inferior */
    padding-bottom: 0; /* Sin relleno inferior */
}

.pag_productos .sello {
    position: absolute;
    top: 50%; /* Posiciona el sello al 50% de la altura del contenedor */
    left: 50%; /* Posiciona el sello al 50% de la anchura del contenedor */
    width: 96%; /* El sello ocupará el 90% del ancho de la imagen */
    height: auto; /* Mantiene la proporción de la imagen del sello */
    transform: translate(-50%, -50%); /* Centra el sello respecto al punto (50%, 50%) */
    z-index: 8; /* Asegura que el sello esté superpuesto a la imagen */
    opacity: 0.9; /* Controla la opacidad */
}

.pag_productos img.foto-ampliada {
    width: 100%;
    height: auto;
    border: 1px solid grey;
    border-radius: 6px;
    margin-bottom: 0; /* Sin margen debajo de la imagen */
}

.pag_productos .miniaturas {
    display: flex;
    justify-content: center;
}

.pag_productos .miniaturas img {
    width: 25%;
    height: auto;
    cursor: pointer;
    border: 1px solid gray;
    border-radius: 6px;
}

.pag_productos .miniaturas img.active {
    border: 3px solid lime;
}

.pag_productos .miniaturas img:hover:not(.active) {
    border: 3px solid blue;
}

.pag_productos a.boton-tienda {
    margin: 5%;
    margin-bottom: 10%;
    width: 90%;
    background-color: blue;
    cursor: pointer;
    display: inline-block;
    text-decoration: none;
    text-align: center;
    font-weight: lighter !important;
    font-style: normal !important;
    color: white !important;
    margin-bottom: 0;
    border-radius: 4px;
    border-top: 1px solid LightSteelBlue;
    border-left: 1px solid LightSteelBlue;
    border-bottom: 1px solid MidnightBlue;
    border-right: 1px solid MidnightBlue;
    padding: 4px 8px;
}

.pag_productos a.boton-tienda:hover:not(:focus) {
    filter: brightness(1.2) saturate(0.7);
    text-decoration: none !important;
}

.pag_productos a.boton-tienda:active {
    background-color: limegreen;
    border-top: 1px solid darkgreen;
    border-left: 1px solid darkgreen;
    border-bottom: 1px solid lightgreen;
    border-right: 1px solid lightgreen;
    color: lime !important;
}

.pag_productos a.boton-tienda:disabled {
    color: slategray;
    text-decoration: none !important;
    cursor: not-allowed; 
}
.pag_productos .descripcion {
    width: 68%;
    position: relative;
    height: 100%;
    font-weight: normal;
    padding: .5rem;
    z-index: 5;
    opacity: 1;
}

.pag_productos .formato-peso-precio {
    font-size: .8rem;
    text-align: center;
}

.pag_productos .formato-peso-precio h4 {
    font-size: 1.4rem;
    font-weight: lighter;
    text-align: center;
}

.pag_productos .producto-mostrado {
    text-align: right;
}

.botones {
    position: fixed;
    top: 50%;
    transform: translateY(-50%);
    width: 96%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.botones img.boton-sig,
.botones img.boton-ant {
    width: 8%;
    height: auto;
}

.botones img.boton-ant {
    transform: scaleX(-1);
}

.botones img.boton-sig:hover:not(:focus) {
    content: url('recursos/flecha_A.png');
}

.botones img.boton-ant:hover:not(:focus) {
    content: url('recursos/flecha_A.png');
}

.botones img.boton-sig:active {
    content: url('recursos/flecha_V.png');
}

.botones img.boton-ant:active {
    content: url('recursos/flecha_V.png');
}

/* Estilos para móviles */
@media (max-width: 40rem) {

    .pag_folio,
    .pag_completa {
        margin-bottom: 20%;
    }

    .pag_productos {
        flex-direction: column;
        height: auto;
        margin: 5%;
        margin-bottom: 20%;
        max-width: 30rem;
        min-width: unset;
        height: unset;
    }

    .pag_productos .fotos,
    .pag_productos .descripcion {
        width: 100%;
    }

    .pag_productos .fotos {
        padding: 2rem;
    }

    .pag_productos .fotos {
        margin-bottom: 1rem;
        /* Añade un margen entre las dos secciones */
    }
}